
test_that("1. ClimPalette", {

# expect_snapshot(
#   ClimPalette('purpleorange')
# )

 expect_equal(
   ClimPalette('bluered')(5),
   c("#053061", "#6AABD0", "#F7F7F7", "#E58267", "#67001F")
 )
expect_equal(
  attributes(ClimPalette('bluered')),
  list(na_color = 'pink')
)

})

test_that("2. ClimColors", {

 expect_equal(
   ClimColors(n = 6, 'yellowred'),
   c("#FFFFCC", "#FEE186", "#FDAA48", "#FC5A2D", "#D30F20", "#800026") 
 )

})
